Name:           fig
Version:        0.5.2
Release:        2%{?dist}
Summary:        Punctual, lightweight development environments using Docker

License:        ASL 2.0
URL:            http://www.fig.sh
Source0:        https://pypi.python.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

Patch0:         fedora-requirements.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools 
Requires:       python-dockerpty            >= 0.2.3
Requires:       python-texttable            >= 0.8.1
Requires:       python-docopt               >= 0.6.1
Requires:       python-requests             >= 2.2.1
Requires:       python-websocket-client     >= 0.11.0
Requires:       PyYAML                      >= 3.10

# require the docker binary due to docker vs docker-io package name difference
# between Fedora and RHEL7/CentOS7
Requires:       %{_bindir}/docker

# Build only for architectures that docker functions on since this is a hard
# requirement for fig and at this time, only x86_64 is supported by docker
# upstream (docker.io)
ExclusiveArch:  x86_64

%description
Punctual, lightweight development environments using Docker

Fig allows you to:
  - Define your app's environment with Docker so it can be reproduced anywhere.
  - Define the services that make up your app so they can be run together in an
    isolated environment.
  - Run 'fig up', and Fig will start and run your entire app.

%prep
%setup -q 

%patch0 -p0

rm -r %{name}.egg-info

%build
%{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python2} setup.py test

%files
%doc CHANGES.md CONTRIBUTING.md Dockerfile README.md LICENSE 
%{_bindir}/%{name}
%{python_sitelib}/%{name}*

%changelog
* Fri Aug 22 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.2-2
- remove python3 macros
- properly version python2 macros
- remove egg prebuild

* Tue Aug 19 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.2-1
- Update to latest upstream
- Fix review request items

* Tue Aug 12 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.1-2
- Change Requires for docker to handle both Fedora and EL7
- Update file listings to match packager guidelines

* Wed Jul 23 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.1-1
- Initial package for Fedora
